%define config_opts --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --mandir=%{_mandir} --libdir=%{_libdir} --bindir=%{_bindir} --includedir=%{_includedir} --datadir=%{_datadir} --disable-more-warnings --with-ssl --with-gss --with-gtkspell  --with-unique --with-gmime=2.6 --without-gnome --with-html-widget=webkit

Name:           balsa
Version:        2.4.9
Release:        6%{?dist}
Summary:        Mail Client

Group:          Applications/Internet
License:        GPLv2+
URL:            http://pawsa.fedorapeople.org/balsa/
Source0:        http://pawsa.fedorapeople.org/balsa/%{name}-%{version}.tar.bz2
Patch1: balsa-gtkhtml3.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: libesmtp >= 1.0.4
Requires: scrollkeeper
BuildRequires: NetworkManager-glib-devel
BuildRequires: desktop-file-utils
BuildRequires: enchant-devel
BuildRequires: gettext
BuildRequires: gmime-devel >= 2.5.1
BuildRequires: gnome-doc-utils
#BuildRequires: gnome-vfs2-devel
#BuildRequires: gpgme-devel
BuildRequires: gtk2-devel
BuildRequires: webkitgtk-devel
BuildRequires: gtkspell-devel
BuildRequires: intltool
BuildRequires: libesmtp-devel >= 1.0.4
BuildRequires: libgnome-devel
BuildRequires: libgnomeui-devel
BuildRequires: libnotify-devel
BuildRequires: libtool
BuildRequires: openssl-devel
BuildRequires: scrollkeeper
BuildRequires: unique-devel

%description
Balsa is a GNOME email client which supports mbox, maildir, and mh
local mailboxes, and IMAP4 and POP3 remote mailboxes. Email can be
sent via sendmail or SMTP. Optional multithreading support allows for
non-intrusive retrieval and sending of mail. A finished GUI similar to
that of the Eudora email client supports viewing images inline, saving
message parts, viewing headers, adding attachments, moving messages,
and printing messages.

%prep
%setup -q
%patch1 -p1
perl -pi -e 's,gnome-icon-theme,,g;' configure.in

%build

autoreconf -f -i
%configure %{config_opts}

make %{?_smp_mflags}


%install
rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"

desktop-file-install $RPM_BUILD_ROOT%{_datadir}/applications/balsa.desktop \
        --vendor=fedora \
        --add-category=Email \
	--remove-category=Application \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
        --copy-name-to-generic-name \
        --delete-original

%find_lang %{name}

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

/bin/touch --no-create %{_datadir}/icons/hicolor
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
scrollkeeper-update -q || :

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING ChangeLog NEWS TODO AUTHORS HACKING docs/mh-mail-HOWTO
%doc docs/vconvert.awk docs/pine2vcard
%{_bindir}/balsa
%{_bindir}/balsa-ab
%{_datadir}/applications/*.desktop
%{_datadir}/balsa/
%{_datadir}/gnome/help/balsa/
%{_datadir}/icons/hicolor/*
%{_datadir}/omf/balsa/
%{_datadir}/pixmaps/gnome-balsa2.png
%{_datadir}/sounds/balsa/
%{_mandir}/man1/balsa.1*
%config(noreplace) %{_sysconfdir}/sound/events/balsa.soundlist


%changelog
* Sat Mar 26 2011 Pawel Salek <salek@kth.se> - 2.4.9-6
- use webkit as HTML widget.

* Fri Feb 25 2011 Pawel Salek <salek@kth.se> - 2.4.9-5
- disable gnome libs and HTML support until it stabilizes.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 28 2010 Pawel Salek <salek@kth.se> - 2.4.9-3
- rebuild against new gtk and gtkhtml.

* Tue Dec 07 2010 Pawel Salek <salek@kth.se> - 2.4.9-2
- rebuild against libesmtp-1.0.6

* Fri Nov 19 2010 Pawel Salek <salek@kth.se> - 2.4.9-1
- update to upstream 2.4.9

* Sat Aug 21 2010 Pawel Salek <salek@kth.se> - 2.4.8-1
- update to upstream 2.4.8

* Sat Feb 20 2010 Pawel Salek <salek@kth.se> - 2.4.7-2
- add a partial gmime-2.5.1 port patch, remove gpgme support for now.

* Mon Feb  13 2010 Pawel Salek <salek@kth.se> - 2.4.7-1
- update to upstream 2.4.7

* Mon Feb  1 2010 Pawel Salek <salek@kth.se> - 2.4.6-3
- We use libunique - GNOME_Balsa.server is redundant now.

* Mon Feb  1 2010 Pawel Salek <salek@kth.se> - 2.4.6-1
- update to upstream 2.4.6

* Wed Dec 30 2009 Pawel Salek <salek@kth.se> - 2.4.2-1
- update to upstream 2.4.2

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 2.4.1-2
- rebuilt with new openssl

* Sun Aug 09 2009 Pawel Salek <salek@kth.se> - 2.4.1-1
- update to upstream 2.4.1.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 28 2009 Pawel Salek <salek@kth.se> - 2.4.0-1
- update to upstream 2.4.0.

* Thu Mar 19 2009 Lubomir Rintel <lkundrak@v3.sk> - 2.3.28-4
- Patch for newer gmime
- Fix BRs

* Mon Mar  2 2009 Pawel Salek <pawsa@theochem.kth.se> - 2.3.28-3
- Add autoreconf, mock on devel does not work right now.

* Mon Mar  2 2009 Pawel Salek <pawsa@theochem.kth.se> - 2.3.28-2
- specify a correct patch path strip argument.

* Mon Mar  2 2009 Pawel Salek <pawsa@theochem.kth.se> - 2.3.28-1
- upgrade to 2.3.28. Fix bug 487780.

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.26-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 15 2009 Tomas Mraz <tmraz@redhat.com> - 2.3.26-4
- rebuild with new openssl

* Thu Dec 18 2008 Pawel Salek <pawsa at theochem.kth.se> - 2.3.26-3
- Port to gmime-2.4 using http://bugzilla.gnome.org/537507 

* Sun Sep 08 2008 Pawel Salek <pawsa at theochem.kth.se> - 2.3.26-2
- Use deprecated GTK+ interface until upstream fixes their bugs.

* Sun Sep 07 2008 Pawel Salek <pawsa at theochem.kth.se> - 2.3.26-1
- update to upstream 2.3.26.

* Mon Jul 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.3.25-2
- fix license tag

* Wed Jun 18 2008 Pawel Salek <pawsa at theochem.kth.se> - 2.3.25-1
- update to upstream 2.3.25.

* Sat May 31 2008 Pawel Salek <pawsa at theochem.kth.se> - 2.3.24-1
- update to upstream 2.3.24.

* Mon Mar 31 2008 Pawel Salek <pawsa at theochem.kth.se> - 2.3.23-1
- update to upstream 2.3.23.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.3.22-2
- Autorebuild for GCC 4.3

* Tue Dec 25 2007 Pawel Salek <pawsa at theochem kth se> - 2.3.22-1
- Update to upstream 2.3.22.

* Sat Dec 08 2007 Pawel Salek <pawsa@theochem.kth.se> - 2.3.21-1
- update to 2.3.21 and rebuild.

* Thu Dec 06 2007 Release Engineering <rel-eng at fedoraproject dot org> - 2.3.20-2
 - Rebuild for deps

* Fri Sep  7 2007 Pawel Salek <pawsa@theochem.kth.se> - 2.3.20-1
- update to upstream 2.3.20.

* Sat Aug 25 2007 Pawel Salek <pawsa@theochem.kth.se> - 2.3.19-1
- Update to upstream 2.3.19.

* Wed Aug 22 2007 Pawel Salek <pawsa@theochem.kth.se> - 2.3.18-4
- Fix parallel build.

* Wed Aug 22 2007 Pawel Salek <pawsa@theochem.kth.se> - 2.3.18-1
- update to upstream 2.3.18.

* Sat Aug 11 2007 Pawel Salek <pawsa@theochem.kth.se> - 2.3.17-2
- work around build problem.

* Wed Jul  4 2007 Pawel Salek <pawsa@theochem.kth.se> - 2.3.17-1
- update to upstream 2.3.17.

* Sun May 27 2007 Pawel Salek <pawsa@theochem.kth.se> - 2.3.16-1
- update to upstream 2.3.16.

* Sat May  5 2007 Pawel Salek <pawsa@theochem.kth.se> - 2.3.15-3
- fix HTML+print interaction.

* Tue May  1 2007 Pawel Salek <pawsa@theochem.kth.se> - 2.3.15-1
- update to upstream 2.3.15.

* Wed Dec 12 2006 Pawel Salek <pawsa@theochem.kth.se> - 2.3.14-1
- update to upstream version 2.3.14.

* Mon Sep 11 2006 Pawel Salek <pawsa@theochem.kth.se> - 2.3.13-2
- rebuild for FC6.

